## org.apache.batik.svggen.font.table
Class ClassDefFormat2

    java.lang.Object
      org.apache.batik.svggen.font.table.ClassDef
          org.apache.batik.svggen.font.table.ClassDefFormat2

    public class ClassDefFormat2

extends ClassDef

Constructor Summary
`ClassDefFormat2(java.io.RandomAccessFile raf)` Creates new ClassDefFormat2

Method Summary
`int` `getFormat()`

Methods inherited from class org.apache.batik.svggen.font.table.ClassDef
`read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassDefFormat2

    public ClassDefFormat2(java.io.RandomAccessFile raf)
                    throws java.io.IOException

  Creates new ClassDefFormat2

  Throws:
    `java.io.IOException`

Method Detail

### getFormat

    public int getFormat()

  Specified by:
    `getFormat` in class `ClassDef`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.